## GdaQueryObject GdaQueryObject — Parent class for any object participating in a GdaQuery query |

## Synopsis

                        GdaQueryObject;
                        GdaQueryObjectClass;
                        GdaQueryObjectPrivate;
    void                gda_query_object_set_int_id         (GdaQueryObject *qobj,
                                                             guint id);
    guint               gda_query_object_get_int_id         (GdaQueryObject *qobj);

## Object Hierarchy

      GObject
       +----GdaObject
             +----GdaQueryObject
                   +----GdaQuery
                   +----GdaQueryCondition
                   +----GdaQueryField
                   +----GdaQueryJoin
                   +----GdaQueryTarget

## Signals

      "numid-changed"                                  : Run First

## Description

## Details

### GdaQueryObject

    typedef struct _GdaQueryObject GdaQueryObject;

### Warning

`GdaQueryObject` is deprecated and should not be used in newly-written code.

### GdaQueryObjectClass

    typedef struct {
    	GdaObjectClass          parent_class;

    	/* signals */
    	void                  (*numid_changed)(GdaQueryObject *object);

    	/* pure virtual functions */
    	void                  (*set_int_id)  (GdaQueryObject *object, guint id);
    } GdaQueryObjectClass;

### Warning

`GdaQueryObjectClass` is deprecated and should not be used in newly-written code.

### GdaQueryObjectPrivate

    typedef struct _GdaQueryObjectPrivate GdaQueryObjectPrivate;

### Warning

`GdaQueryObjectPrivate` is deprecated and should not be used in newly-written code.

### gda_query_object_set_int_id ()

    void                gda_query_object_set_int_id         (GdaQueryObject *qobj,
                                                             guint id);

### Warning

`gda_query_object_set_int_id` is deprecated and should not be used in newly-written code.

Sets the integer ID of `qobj`; this also triggers a change in the string ID (which can be obtained using `gda_object_get_id()`) of the object.

`qobj` : |
`id` : |

### gda_query_object_get_int_id ()

    guint               gda_query_object_get_int_id         (GdaQueryObject *qobj);

### Warning

`gda_query_object_get_int_id` is deprecated and should not be used in newly-written code.

Get the integer ID of `qobj`

Return: the integer ID

`qobj` : |
Returns : |

## Signal Details

### The `"numid-changed"` signal

    void                user_function                      (GdaQueryObject *gdaqueryobject,
                                                            gpointer        user_data)           : Run First

`gdaqueryobject` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.